## exim4-config-heavy 0.2-ig1

=== debian/changelog ===
exim4-config-heavy (0.2-ig1) unstable; urgency=low

  * split off configuration into several independent packages for
    different tasks

 -- Guido S. Nickels <gn@intergenia.de>  Tue, 20 Feb 2007 12:53:34 +0100

exim4-config-heavy (0.1-ig1) unstable; urgency=low

  * initial release

 -- Guido S. Nickels <gn@intergenia.de>  Mon, 20 Mar 2006 20:13:40 +0100
