=== debian/control ===
Source: exim4-config-heavy
Section: mail
Priority: optional
Maintainer: Guido S. Nickels <gn@intergenia.de>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: exim4-config-heavy
Architecture: all
Depends: exim4-config-heavy-base, exim4-config-heavy-clamav, exim4-config-heavy-maildir, exim4-config-heavy-pamauth, exim4-config-heavy-spamassassin, exim4-config-heavy-tls, exim4-config-heavy-valiases
Provides: confixx-virtual-mta
Enhances: exim4-daemon-heavy
Description: Enhanced configuration settings for exim4-daemon-heavy
 This is a transitional package holding dependencies for several packages
 of the exim4-daemon-heavy-* family. Also, the package provides
 confixx-virtual-mta for backwards compatibility with intergenia's
 Confixx 3.1 series packages.
 .
 If you are not upgrading an existing installation of Confixx 3.1.x or
 exim4-config-heavy, you will not need this package at all.

Package: exim4-config-heavy-base
Architecture: all
Depends: exim4-daemon-heavy
Enhances: exim4-daemon-heavy
Description: Enhanced configuration settings for exim4-daemon-heavy
 This package contains some basic configuration settings for the
 the Exim4 MTA.

Package: exim4-config-heavy-clamav
Architecture: all
Depends: exim4-daemon-heavy, exim4-config-heavy-base, clamav, clamav-daemon
Enhances: exim4-daemon-heavy, exim4-config-heavy-base
Description: Enhanced configuration settings for exim4-daemon-heavy
 This package contains the configuration settings for ClamAV
 support in the Exim4 MTA.

Package: exim4-config-heavy-greylistd
Architecture: all
Depends: exim4-daemon-heavy, exim4-config-heavy-base, greylistd
Enhances: exim4-daemon-heavy, exim4-config-heavy-base
Description: Enhanced configuration settings for exim4-daemon-heavy
 This package contains the configuration settings for greylistd
 support in the Exim4 MTA.

Package: exim4-config-heavy-maildir
Architecture: all
Depends: exim4-daemon-heavy, exim4-config-heavy-base, courier-pop, courier-imap
Suggests: courier-pop-ssl, courier-imap-ssl
Enhances: exim4-daemon-heavy, exim4-config-heavy-base
Description: Enhanced configuration settings for exim4-daemon-heavy
 This package contains the configuration settings for Maildir delivery
 support in the Exim4 MTA.

Package: exim4-config-heavy-pamauth
Architecture: all
Depends: exim4-daemon-heavy, exim4-config-heavy-base
Enhances: exim4-daemon-heavy, exim4-config-heavy-base
Description: Enhanced configuration settings for exim4-daemon-heavy
 This package contains the configuration settings for PAM authentication
 support in the Exim4 MTA.

Package: exim4-config-heavy-spamassassin
Architecture: all
Depends: exim4-daemon-heavy, exim4-config-heavy-base, spamassassin (>= 3.0)
Enhances: exim4-daemon-heavy, exim4-config-heavy-base
Description: Enhanced configuration settings for exim4-daemon-heavy
 This package contains the configuration settings for SpamAssassin
 support in the Exim4 MTA.

Package: exim4-config-heavy-submission
Architecture: all
Depends: exim4-daemon-heavy, exim4-config-heavy-base
Enhances: exim4-daemon-heavy, exim4-config-heavy-base
Description: Enhanced configuration settings for exim4-daemon-heavy
 This package contains the configuration settings for smtp submission
 (rfc4409) support in the Exim4 MTA.

Package: exim4-config-heavy-tls
Architecture: all
Depends: exim4-daemon-heavy, exim4-config-heavy-base, openssl, gnutls-bin
Enhances: exim4-daemon-heavy, exim4-config-heavy-base
Description: Enhanced configuration settings for exim4-daemon-heavy
 This package contains the configuration settings for TLS
 support in the Exim4 MTA.

Package: exim4-config-heavy-tuning
Architecture: all
Depends: exim4-daemon-heavy, exim4-config-heavy-base
Enhances: exim4-daemon-heavy, exim4-config-heavy-base
Description: Enhanced configuration settings for exim4-daemon-heavy
 This package contains various tuning options for running the Exim4
 MTA in large-scale environments (i.e. list servers).

Package: exim4-config-heavy-valiases
Architecture: all
Depends: exim4-daemon-heavy, exim4-config-heavy-base
Enhances: exim4-daemon-heavy, exim4-config-heavy-base
Description: Enhanced configuration settings for exim4-daemon-heavy
 This package contains the configuration settings for virtual aliases
 and virtual domains support in the Exim4 MTA.
