=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# exim4 configuration packages build script


### global

export DH_OPTIONS

#export DH_VERBOSE=1

ifndef DESTDIR
DESTDIR = ..
endif

### cleanup

clean:
	dh_testdir
	dh_testroot
	dh_clean 

### install

binary-indep: install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installman -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_installdebconf -i -n
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i --destdir=$(DESTDIR)

binary: binary-indep

install: install-indep
install-indep: install-exim4-config-heavy install-exim4-config-heavy-base install-exim4-config-heavy-clamav install-exim4-config-heavy-greylistd install-exim4-config-heavy-maildir install-exim4-config-heavy-pamauth install-exim4-config-heavy-spamassassin install-exim4-config-heavy-submission install-exim4-config-heavy-tls install-exim4-config-heavy-tuning install-exim4-config-heavy-valiases

install-exim4-config-heavy:
	dh_testdir
	dh_testroot
	dh_installdirs

install-exim4-config-heavy-base:
	dh_testdir
	dh_testroot
	dh_installdirs
	mkdir -p $(CURDIR)/debian/exim4-config-heavy-base/etc/exim4/conf.d/main
	cp $(CURDIR)/etc/exim4/conf.d/main/00_exim4-config_base $(CURDIR)/debian/exim4-config-heavy-base/etc/exim4/conf.d/main/
	cp $(CURDIR)/etc/exim4/conf.d/main/99_exim4-config_setlistener $(CURDIR)/debian/exim4-config-heavy-base/etc/exim4/conf.d/main/

install-exim4-config-heavy-clamav:
	dh_testdir
	dh_testroot
	dh_installdirs
	mkdir -p $(CURDIR)/debian/exim4-config-heavy-clamav/etc/exim4/conf.d/main
	cp $(CURDIR)/etc/exim4/conf.d/main/01_exim4-config_clamav $(CURDIR)/debian/exim4-config-heavy-clamav/etc/exim4/conf.d/main/
	mkdir -p $(CURDIR)/debian/exim4-config-heavy-clamav/etc/exim4/conf.d/acl
	cp $(CURDIR)/etc/exim4/conf.d/acl/45_exim4-config_check_clamav $(CURDIR)/debian/exim4-config-heavy-clamav/etc/exim4/conf.d/acl

install-exim4-config-heavy-greylistd:
	dh_testdir
	dh_testroot
	dh_installdirs

install-exim4-config-heavy-maildir:
	dh_testdir
	dh_testroot
	dh_installdirs

install-exim4-config-heavy-pamauth:
	dh_testdir
	dh_testroot
	dh_installdirs

install-exim4-config-heavy-spamassassin:
	dh_testdir
	dh_testroot
	dh_installdirs
	mkdir -p $(CURDIR)/debian/exim4-config-heavy-spamassassin/etc/exim4/conf.d/main
	cp $(CURDIR)/etc/exim4/conf.d/main/00_exim4-config_spamassassin $(CURDIR)/debian/exim4-config-heavy-spamassassin/etc/exim4/conf.d/main/
	mkdir -p $(CURDIR)/debian/exim4-config-heavy-spamassassin/etc/exim4/conf.d/router
	cp $(CURDIR)/etc/exim4/conf.d/router/550_exim4-config_spamcheck_router $(CURDIR)/debian/exim4-config-heavy-spamassassin/etc/exim4/conf.d/router/
	mkdir -p $(CURDIR)/debian/exim4-config-heavy-spamassassin/etc/exim4/conf.d/transport
	cp $(CURDIR)/etc/exim4/conf.d/transport/30_exim4-config_spamcheck $(CURDIR)/debian/exim4-config-heavy-spamassassin/etc/exim4/conf.d/transport/

install-exim4-config-heavy-submission:
	dh_testdir
	dh_testroot
	dh_installdirs
	mkdir -p $(CURDIR)/debian/exim4-config-heavy-submission/etc/exim4/conf.d/main
	cp $(CURDIR)/etc/exim4/conf.d/main/00_exim4-config_rfc4409 $(CURDIR)/debian/exim4-config-heavy-submission/etc/exim4/conf.d/main/
	cp $(CURDIR)/etc/exim4/conf.d/main/03_exim4-config_rfc4409options $(CURDIR)/debian/exim4-config-heavy-submission/etc/exim4/conf.d/main/

install-exim4-config-heavy-tls:
	dh_testdir
	dh_testroot
	dh_installdirs
	mkdir -p $(CURDIR)/debian/exim4-config-heavy-tls/etc/exim4/conf.d/main
	cp $(CURDIR)/etc/exim4/conf.d/main/00_exim4-config_tls $(CURDIR)/debian/exim4-config-heavy-tls/etc/exim4/conf.d/main/
	cp $(CURDIR)/etc/exim4/conf.d/main/03_exim4-config_tlsoptions-extra $(CURDIR)/debian/exim4-config-heavy-tls/etc/exim4/conf.d/main/

install-exim4-config-heavy-tuning:
	dh_testdir
	dh_testroot
	dh_installdirs
	mkdir -p $(CURDIR)/debian/exim4-config-heavy-tuning/etc/exim4/conf.d/main
	cp $(CURDIR)/etc/exim4/conf.d/main/04_exim4-config_tuning $(CURDIR)/debian/exim4-config-heavy-tuning/etc/exim4/conf.d/main/

install-exim4-config-heavy-valiases:
	dh_testdir
	dh_testroot
	dh_installdirs
	mkdir -p $(CURDIR)/debian/exim4-config-heavy-valiases/etc/exim4
	cp $(CURDIR)/etc/exim4/domains $(CURDIR)/debian/exim4-config-heavy-valiases/etc/exim4/
	cp $(CURDIR)/etc/exim4/valiases $(CURDIR)/debian/exim4-config-heavy-valiases/etc/exim4/
	mkdir -p $(CURDIR)/debian/exim4-config-heavy-valiases/etc/exim4/conf.d/router
	cp $(CURDIR)/etc/exim4/conf.d/router/350_exim4-config_valiases $(CURDIR)/debian/exim4-config-heavy-valiases/etc/exim4/conf.d/router/

.PHONY: clean binary-indep binary install
